## libevocosm 4.0.2

=== debian/changelog ===
libevocosm (4.0.2-3ubuntu2) wily; urgency=medium

  * debian/rules, debian/shlibs: Adjust for renamed lib package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Aug 2015 09:55:42 +0200

libevocosm (4.0.2-3ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition. (Closes: #791119)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 05:38:22 +0000

libevocosm (4.0.2-3) unstable; urgency=low

  * Acknowledgement for the NMU. Changes incorporated into package.
  * Updated Standards-Version
  * Fixes for hardening during build (lintian errors)
  * Closes: Bug#662397 -- depend on libpng-dev, not libpng12-dev
  * Closes: Bug#678681 -- no longer FTBFS with --as-needed linker option

 -- Al Stone <ahs3@debian.org>  Sat, 07 Jul 2012 14:18:47 -0600

libevocosm (4.0.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-source: error: aborting due to unexpected upstream
    changes": handle config.{guess,sub} with autotools-dev helpers.
    (Closes: #661500)
  * Fix "-dev library is broken": add patch vector.patch from Vincent Legout.
    (Closes: #658577)
  * Fix "ftbfs with GCC-4.7": add patch fix-ftbfs-gcc4.7.diff from Matthias
    Klose (missing <unistd.h> include).
    (Closes: #667244)
  * debian/rules: fix -stamp filename.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 May 2012 18:39:25 +0200

libevocosm (4.0.2-2) unstable; urgency=low

  * Acknowledgment for the NMU.  Incorporated changes into package. 

 -- Al Stone <ahs3@debian.org>  Fri, 27 Jan 2012 17:08:16 -0700

libevocosm (4.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dependencies on autoconf, automake, libtool. (Closes: #650531)
  * libevocosm-dev: Add dependency on libbrahe-dev. (Closes: #652151)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 23 Dec 2011 14:43:18 +0100

libevocosm (4.0.2-1) unstable; urgency=low

  * New upstream. 
  * Remove debian/* that should not have been included.
  * Convert to source format 3.0 (quilt).
  * Update debhelper compatibility.
  * Repair entries in *.la files.
  * Add back in doxygen usage from 3.3.0.
  * Lintian: add Section field for source.
  * Lintian: debhelper needs ${misc:Depends}
  * Lintian: no need for virtual package c++abi2-dev
  * Lintian: update standards version
  * Lintian: description should not start with an article ('a', in this case)
  * Incorporate Ubuntu patch to configure only once.  Closes: Bug#641703.
  * Ubuntu patch also provides for reconf.  Closes: Bug#641385.
  * New upstream no longer has unresolved symbols.  Closes: Bug#558884.
  * Thanks for the NMU (3.1.0-3.1).

 -- Al Stone <ahs3@debian.org>  Mon, 28 Nov 2011 19:52:08 -0700

libevocosm (3.3.0-1) unstable; urgency=low

  * Update to latest upstream (3.3.0)
  * Clean up assorted lintian problems

 -- Al Stone <ahs3@debian.org>  Sun, 25 Nov 2007 18:13:01 -0700

libevocosm (3.1.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Cyril Brulebois (Closes: #454832)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 22 Mar 2008 19:40:20 +0100

libevocosm (3.1.0-3) unstable; urgency=low

  * Cleaning up shlibs file contents. 

 -- Al Stone <ahs3@debian.org>  Sat, 26 Nov 2005 18:04:16 -0700

libevocosm (3.1.0-2) unstable; urgency=low

  * Added in proper Conflicts/Replaces statements 

 -- Al Stone <ahs3@debian.org>  Mon, 21 Nov 2005 22:11:53 -0700

libevocosm (3.1.0-1) unstable; urgency=low

  * New upstream. 

 -- Al Stone <ahs3@debian.org>  Mon, 21 Nov 2005 21:09:10 -0700

libevocosm (3.0.0-1) unstable; urgency=low

  * Update to new upstream.
  * Update to latest Debian standards version.
  * Closes: bug#333975 -- Please undergo C++ 'c2' transition

 -- Al Stone <ahs3@debian.org>  Mon, 24 Oct 2005 20:48:33 -0600

libevocosm (2.5.2-2) unstable; urgency=low

  * Closes: bug#283052 -- FTBFS: missing build-depends
  * Remove unneeded build-depends on build-essential g++ package
  * Control file had wrong maintainer address in it

 -- Al Stone <ahs3@debian.org>  Tue,  7 Dec 2004 22:05:40 -0700

libevocosm (2.5.2-1) unstable; urgency=low

  * Initial Release.
  * Part of the set of packages that close bug#275425, the RFP/ITP
    for acovea

 -- Al Stone <ahs3@debian.org>  Sun, 24 Oct 2004 21:02:39 -0600
