=== debian/control ===
Source: libevocosm
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 8.0.0), libcoyotl-dev, libpng-dev, doxygen,
 libbrahe-dev, autoconf, automake, libtool, autotools-dev (>= 20100122.1),
 hardening-wrapper
Standards-Version: 3.9.3

Package: libevocosm-dev
Section: libdevel
Architecture: any
Depends: libevocosm-4.0-4v5 (= ${binary:Version}), ${misc:Depends}, libbrahe-dev
Description: C++ framework for developing evolutionary algorithms
 This library provides a framework for programming a wide variety of
 evolutionary algorithms, ranging from genetic algorithms to agent
 simulations. Evocosm is the foundation for Acovea
 .
 This package contains the files needed to develop code using libevocosm.

Package: libevocosm-4.0-4v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libevocosm-4.0-4
Replaces: libevocosm-4.0-4
Description: C++ framework for developing evolutionary algorithms
 This library provides a framework for programming a wide variety of
 evolutionary algorithms, ranging from genetic algorithms to agent
 simulations. Evocosm is the foundation for Acovea
