=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS	:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS		:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS	:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS		:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS 		+= -Wall -g
LDFLAGS 	+= -lm

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp: 
	dh_testdir
	# Add here commands to configure the package.
	# we need to reconfigure everything because we've change Makefile.am
	# with a patch
	dh_autotools-dev_updateconfig
	./reconf
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	   ./configure --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	   --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autotools-dev_restoreconfig

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libevocosm-dev/examples
	cp -r examples $(CURDIR)/debian/tmp/usr/share/doc/libevocosm-dev
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libevocosm-dev/html
	cp -r docs/html/* $(CURDIR)/debian/libevocosm-dev/usr/share/doc/libevocosm-dev/html
	rm -f $(CURDIR)/debian/temp/usr/bin/runfuncopt
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/libevocosm-dev/examples/*.o
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/libevocosm-dev/examples/runfuncopt


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installdebconf	
	dh_installman
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	rm -f debian/libevocosm-dev/DEBIAN/shlibs
	install -m644 debian/shlibs debian/libevocosm-4.0-4v5/DEBIAN/shlibs
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	dh_shlibdeps -plibevocosm-4.0-4v5
	dh_shlibdeps -plibevocosm-dev
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install
